<?php

namespace saul\ComunBundle\Repository;

/**
 * EstadoRepository
 *
 * This class was generated by the Doctrine ORM. Add your own custom
 * repository methods below.
 */
class EstadoRepository extends \Doctrine\ORM\EntityRepository {

    function consultarPorSolicitud($idTipoSolicitud) {
        $em = $this->getEntityManager();
        $dql = "SELECT  e
                FROM    SolicitudBundle:TipoSolicitudXEstado tse
                JOIN    ComunBundle:Estado e WITH e.idestado=tse.idestado
                WHERE   tse.idtiposolicitud=:idtiposolicitud and tse.listar=1";
        $query = $em->createQuery($dql);
        $query->setParameter('idtiposolicitud', $idTipoSolicitud);
        return $query->getResult();
    }
    
    public function consularEstadosDeNomenclatura() {
        $em = $this->getEntityManager();
        $dql = "SELECT  e
                FROM    ComunBundle:Estado e
                WHERE   e.codigo IN ('verificada','anulada' )";
        $query = $em->createQuery($dql);
        return $query->getResult();
    }

}
